package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 翻译key规则前缀枚举类
 *
 * @author hzs
 */
@AllArgsConstructor
@Getter
public enum ETransactionKey {

    /**
     * 国家类
     */
    COUNTRY(EnumsPrefixConstants.KEY_COUNTRY, "国家类"),

    /**
     * 等级类
     */
    GRADE(EnumsPrefixConstants.KEY_GRADE, "等级类"),
    /**
     * 复购极差
     */
    RANGE(EnumsPrefixConstants.KEY_RANGE, "复购极差"),

    /**
     * 奖衔类
     */
    AWARDS(EnumsPrefixConstants.KEY_AWARD, "奖衔类"),

    /**
     * 会员类
     */
    MEMBER(EnumsPrefixConstants.KEY_MEM, "会员类"),

    /**
     * 规格类
     */
    SPEC(EnumsPrefixConstants.KEY_SPEC, "规格类"),
    /**
     * 单位
     */
    UNIT(EnumsPrefixConstants.KEY_UNIT, "单位类"),
    /**
     * 产品类
     */
    PRODUCT(EnumsPrefixConstants.KEY_PRO, "产品类"),

    /**
     * 商品类
     */
    WARES(EnumsPrefixConstants.KEY_WARES, "商品类"),

    /**
     * 账户类
     */
    ACCOUNT(EnumsPrefixConstants.KEY_ACC, "账户类"),

    /**
     * 店铺类
     */
    SHOP(EnumsPrefixConstants.KEY_SHOP, "店铺类"),
    /**
     * 店铺等级类
     */
    STORE_LEVEL(EnumsPrefixConstants.KEY_STORE_LEVEL, "店铺等级类"),
    /**
     * 奖项类
     */
    BD_BONUS_ITEMS(EnumsPrefixConstants.BONUS_ITEMS, "奖项类"),


    /**
     * 银行类
     */
    BANK(EnumsPrefixConstants.KEY_BANK, "银行类"),

    /**
     * 标签类
     */
    LABEL(EnumsPrefixConstants.KEY_LABEL, "标签类"),

    ;

    /**
     * 实际值
     */
    private final String value;
    /**
     * 显示标签
     */
    private final String label;

}
